Name: module-init-tools
Version: 3.3
Release: alt0.5.pre6

Summary: Kernel module management utilities
License: GPL
Group: System/Kernel and hardware
URL: http://www.kerneltools.org
ExclusiveOS: Linux
ExclusiveArch: %ix86 x86_64
Packager: Sergey Vlasov <vsu@altlinux.ru>

Source0: %name-%version-%release.tar

Conflicts: modutils < 2.4.27-alt8
Conflicts: etcnet < 0.8.5
Conflicts: mkinitrd < 1:2.9.11-alt1
Conflicts: lm_sensors < 2.10.2-alt1

%define _unpackaged_files_terminate_build 1

BuildPreReq: dietlibc >= 0.30-alt3

# Automatically added by buildreq on Fri Jan 26 2007
BuildRequires: dietlibc docbook-utils glibc-devel-static zlib-devel

%description
The module-init-tools package includes various programs needed for
automatic loading and unloading of modules under 2.6.x kernels, as
well as other module management programs.

%package initramfs
Summary: Module management utilities for use in initramfs images
Group: System/Kernel and hardware
Requires: %name = %version-%release
PreReq: mkinitrd-initramfs

%description initramfs
This package contains a special version of kernel module management
utilities intended for use in initramfs images generated by mkinitrd.
This version is linked with dietlibc instead of glibc.

%package compat
Summary: Script for migration from modutils to module-init-tools
Group: System/Kernel and hardware
PreReq: %name = %version-%release

%description compat
This package contains a script which converts configuration files
for old modutils (/etc/modules.conf) to the new format used by
module-init-tools.

%prep
%setup -n %name-%version-%release
bzip2 -k ChangeLog

# remove pregenerated man pages - they will be recreated from SGML source
rm -f *.[58]

%build
autoreconf -vi

%configure --bindir=/bin --sbindir=/sbin \
	CC="diet gcc" \
	CPPFLAGS="-DCONFIG_NO_BACKWARDS_COMPAT"
%make_build modprobe
mv modprobe modprobe.mkinitrd
make clean distclean

%configure --bindir=/bin --sbindir=/sbin --enable-zlib \
	CPPFLAGS="-DCONFIG_NO_BACKWARDS_COMPAT"
%make_build LDADD="-lz"

%install
%make_install install DESTDIR=%buildroot

# lsmod was in /sbin before
ln -s ../bin/lsmod %buildroot/sbin/lsmod

mkdir -p %buildroot%_sysconfdir/{depmod.d,modprobe.d}
find extra/modprobe.d -maxdepth 1 -type f -print0 | \
	xargs -r0 install -m644 -p -t %buildroot%_sysconfdir/modprobe.d/ --
%ifarch %ix86 x86_64
install -m644 -p extra/modprobe.d/arch/i386 \
	%buildroot%_sysconfdir/modprobe.d/arch
%endif

install -m644 -p extra/modules.5 %buildroot%_man5dir/

mkdir -p %buildroot/lib/mkinitrd/%name/sbin
install -p modprobe.mkinitrd %buildroot/lib/mkinitrd/%name/sbin/modprobe

%files
%config(noreplace) %_sysconfdir/depmod.d
%config(noreplace) %_sysconfdir/modprobe.d
/bin/lsmod
/sbin/depmod
/sbin/insmod
%exclude /sbin/insmod.static
/sbin/lsmod
/sbin/modinfo
/sbin/modprobe
/sbin/rmmod
%_man5dir/*
%_man8dir/*
%doc AUTHORS ChangeLog.bz2

%files initramfs
/lib/mkinitrd/%name

%files compat
/sbin/generate-modprobe.conf

%changelog
* Mon Apr 23 2007 Sergey Vlasov <vsu@altlinux.ru> 3.3-alt0.5.pre6
- /etc/modprobe.d/aliases: Add "alias nfs4 nfs" (#11203).
- /etc/modprobe.d/blacklist-edac: Blacklist EDAC drivers by default
  (buggy, and at least amd76x_edac conflicts with amd-k7-agp).

* Fri Mar 09 2007 Sergey Vlasov <vsu@altlinux.ru> 3.3-alt0.4.pre6
- /etc/modprobe.d/blacklist-net: Disable autoloading of the ipv6 module and
  other modules for rarely used network protocols.  If some of these
  protocols are really needed, the administrator can either remove the
  blacklist lines for them, or add the required modules to /etc/modules
  (which is not affected by blacklist if proper module names are used).

* Tue Feb 13 2007 Sergey Vlasov <vsu@altlinux.ru> 3.3-alt0.3.pre6
- /etc/modprobe.d/install: Add install and remove commands for binfmt_misc
  to automatically mount and umount /proc/sys/fs/binfmt_misc (fixes wine
  initscript failure to register its binfmt handler).  In the old modutils
  package these commands were built into modprobe.

* Sat Feb 03 2007 Sergey Vlasov <vsu@altlinux.ru> 3.3-alt0.2.pre6
- Updated to v3.3-pre6 (b0c1e293dc962368117875c3684cee6362a79238).
- Require dietlibc >= 0.30-alt3 for build due to the -fno-stack-protector fix
  in the diet wrapper.
- Removed no longer needed -fno-stack-protector hack from spec file.
- modprobe: Read /etc/modprobe.d/* even if /etc/modprobe.conf exists.
  Avoids failure if /etc/modprobe.conf is created locally; adding a default
  modprobe.conf file with "include /etc/modprobe.d" does not work if
  /etc/modprobe.conf existed before package installation for some reason.
- depmod: Read /etc/depmod.d/* even if /etc/depmod.conf exists (for the same
  reason as the above modprobe change).
- Removed /etc/depmod.conf and /etc/modprobe.conf from the package (no
  longer needed after the above modifications of depmod and modprobe).
- modprobe: Apply blacklist to all aliases, including defined in config
  (allows blacklisting of aliases defined in default config files by adding
  separate files instead of changing configs installed by the package).

* Tue Jan 30 2007 Sergey Vlasov <vsu@altlinux.ru> 3.3-alt0.1.pre4
- Initial build for ALT Linux as a standalone package.
- Changes from upstream module-init-tools-3.3-pre4 release:
  + modprobe: fix $CMDLINE_OPTS passing to subordinate modules
  + modprobe: fix format string bug in do_command()
  + depmod: check alias names in modules for validity
  + depmod: release module file data after use
  + depmod, modprobe: ignore hidden files, editor backups (*~) and RPM backups
    (*.rpm*) when reading configs
  + modprobe: add --ignore-all-commands option
  + generate-modprobe.conf: fix temporary file creation
  + generate-modprobe.conf: extend set of ignored lines to match ALT modutils
  + generate-modprobe.conf: add --full-config=FILE option
  + generate-modprobe.conf: search for old modprobe only in /sbin/modprobe.old
  + generate-modprobe.conf: convert "probeall" to a sequence of "alias" lines
- Added default modprobe config files based on the Ubuntu package
  (module-init-tools_3.3-pre3-1ubuntu1) with several fixes.
- Added nonempty /etc/depmod.conf and /etc/modprobe.conf to avoid problems.
- Added modules(5) man page (moved from the old modutils package, originally
  from Debian).
- Placed generate-modprobe.conf into a separate "compat" subpackage.
- Added conflicts for old releases of etcnet, lm_sensors, mkinitrd, modutils
  which are incompatible with this package.
- Added module-init-tools-initramfs subpackage which contains an additional
  modprobe binary built with dietlibc for use in initramfs images generated
  by mkinitrd.
